Skip to content
Content & StorefrontUrls

Resolve a storefront URL

Returns the full product or category published at a store path, or the canonical URL to redirect to with 301. A valid product previewKey also returns an unpublished product without caching.

GET/v1/urls/resolve
No token

Query Parameters

path?string
previewKey?string

Header Parameters

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://storefront.ecomiq.pe/v1/urls/resolve" \  -H "x-Store-Domain: my-store"
{  "kind": "product",  "url": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",  "handle": "polo-de-algodon",  "product": {    "id": "7204558912004322039",    "name": "Polo de algodón",    "slug": "polo-de-algodon",    "url": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",    "description": "Polo de algodón pima para uso diario.",    "productType": "product",    "status": "active",    "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",    "price": 89,    "compareAtPrice": 99,    "isAvailable": true,    "totalInventory": 24,    "brand": "Andina",    "category": "Polos",    "categoryId": "7204558912004327982",    "tags": [      "algodón"    ],    "specifications": [      {        "key": "color",        "name": "Polo de algodón",        "value": "Mi tienda",        "valueId": "7204558912004324721",        "valueName": "Polo de algodón",        "type": "Mi tienda",        "color": "Azul",        "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",        "unit": "Mi tienda"      }    ],    "variants": [      {        "id": "7204558912004323197",        "sku": "POL-001-AZ-M",        "status": "active",        "price": 89,        "compareAtPrice": 99,        "quantity": 2,        "isAvailable": true,        "requiresShipping": false,        "options": [          {            "key": "color",            "name": "Polo de algodón",            "value": "Mi tienda",            "valueId": "7204558912004324721",            "valueName": "Polo de algodón",            "type": "Mi tienda",            "color": "Azul",            "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",            "unit": "Mi tienda"          }        ],        "images": [          {            "url": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",            "name": "polo-de-algodon.webp",            "order": 1,            "type": "image"          }        ]      }    ],    "images": [      {        "url": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",        "name": "polo-de-algodon.webp",        "order": 1,        "type": "image"      }    ],    "bundleItems": [      {        "productId": "7204558912004322039",        "variantId": "7204558912004323197",        "productName": "Polo de algodón",        "variantName": "Polo de algodón",        "sku": "POL-001-AZ-M",        "brand": "Andina",        "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",        "quantity": 2,        "available": 24,        "allowBackorders": false,        "requiresShipping": false      }    ],    "sizeGuide": {      "id": "7204558912004326347",      "name": "Polos",      "slug": "polo-de-algodon",      "description": "Polo de algodón pima para uso diario.",      "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",      "gender": "Polos",      "measurementType": "Polos",      "unit": "Polos",      "notes": "Entregar después de las 18:00.",      "rows": [        {          "label": "Polos",          "sizeKey": "Polos",          "order": 1,          "measurements": [            {              "key": "color",              "name": "Polos",              "min": 1,              "max": 1,              "value": 1,              "description": "Polo de algodón pima para uso diario."            }          ]        }      ]    },    "priceTiers": [      {        "variantId": "7204558912004323197",        "minQuantity": 2,        "maxQuantity": 2,        "unitPrice": 89      }    ],    "createdAt": "2026-09-28T15:30:00Z",    "updatedAt": "2026-09-28T15:30:00Z",    "seller": {      "id": "7204558912004322039",      "name": "Polo de algodón",      "slug": "polo-de-algodon"    }  },  "category": {    "id": "7204558912004327982",    "name": "Polos",    "slug": "polos",    "url": "https://mi-tienda.ecomiq.app/polos",    "description": "Polos de algodón para hombre y mujer.",    "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",    "metaTitle": "Polos",    "metaDescription": "Polos de algodón para hombre y mujer.",    "parentId": "7204558912004329210",    "productCount": 24,    "ancestors": [      {        "id": "7204558912004327982",        "name": "Polos",        "url": "https://mi-tienda.ecomiq.app/polos"      }    ],    "children": [      {        "id": "7204558912004327982",        "name": "Polos",        "slug": "polos",        "url": "https://mi-tienda.ecomiq.app/polos",        "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",        "parentId": "7204558912004329210",        "path": "Polos",        "order": 1,        "productCount": 24      }    ]  }}